<?php
//****************************************请求权限****************************************
require("locked.php");                                                                 //*
setlocked($_SESSION[rightId],"");                                                      //*
//****************************************************************************************

echo '<script>document.title="处理结果通知";</script>';

include("cnn.php");

//审核未审核的基础数据；
if(isset($_POST[check1])){
	$strsql='update '.$_SESSION[jc_tbl].' set chk="'.$_SESSION[username].'" where id="'.$_POST[id].'" and chk is null';
	//echo $sql.'<br>';
	$check=$mysqli->query($strsql); 
	$afr=$mysqli->affected_rows;
	if($afr==1){ //如果存在数据；
		echo '审核成功；共有'.$afr.'条记录受到影响；';
	}else{
		echo '审核失败；<a href="#" onclick="javascript:history.back()">返回</a><br>';
		echo '可能的原因：1>该记录已被审核；';
	}
}
//取消本人审核的基础数据；
if(isset($_POST[check2])){
	$strsql='update '.$_SESSION[jc_tbl].' set chk=null where id="'.$_POST[id].'" and chk="'.$_SESSION[username].'"';
	//echo $sql.'<br>';
	$check=$mysqli->query($strsql); 
	$afr=$mysqli->affected_rows;
	if($afr==1){ //如果存在数据；
		echo '反审核成功；共有'.$afr.'条记录受到影响；';
	}else{
		echo '反审核失败；<a href="#" onclick="javascript:history.back()">返回</a><br>';
		echo '可能的原因：1>该记录本身未被审核；<br>';
		echo '可能的原因：2>非同一审核人不能反审核；';
	}
}
//审核未审核的全部基础数据；
if(isset($_POST[check3])){
	$strsql='update '.$_SESSION[jc_tbl].' set chk="'.$_SESSION[username].'" where chk is null';
	//echo $sql.'<br>';
	$check=$mysqli->query($strsql); 
	$afr=$mysqli->affected_rows;
	if($afr>0){ //如果存在数据；
		echo '全部审核成功；共有'.$afr.'条记录受到影响；';
	}else{
		echo '全部审核失败；<a href="#" onclick="javascript:history.back()">返回</a><br>';
		echo '可能的原因：1>全部记录均已被审核；';
	}
}

$mysqli->close();

?>